=== debian/control ===
Source: rustc
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Ximin Luo <infinity0@debian.org>,
 Sylvestre Ledru <sylvestre@debian.org>
Rules-Requires-Root: no
# :native annotations are to support cross-compiling, see README.Debian
Build-Depends:
 debhelper (>= 9),
 debhelper-compat (= 13),
 dh-cargo (>= 28ubuntu1~),
 dpkg-dev (>= 1.17.14),
 python3:native,
 cargo:native (>= 0.60.0)      <!pkg.rustc.dlstage0>,
 rustc:native (>= 1.66.0+dfsg) <!pkg.rustc.dlstage0>,
 rustc:native (<= 1.67.1++)    <!pkg.rustc.dlstage0>,
 llvm-15-dev:native,
 llvm-15-tools:native,
 libclang-rt-15-dev (>= 1:15.0.7),
 libclang-common-15-dev (>= 1:15.0.7),
 libllvm15 (>= 1:15.0.7),
 cmake (>= 3.0) | cmake3,
# needed by some vendor crates
 pkg-config,
# this is sometimes needed by rustc_llvm
 zlib1g-dev:native,
 zlib1g-dev,
# used by rust-installer
 liblzma-dev:native,
# test dependencies:
 binutils (>= 2.26) <!nocheck> | binutils-2.26 <!nocheck>,
 git <!nocheck>,
 procps <!nocheck>,
# Resources loaded from the docs, checked by linkchecker
 libjs-jquery <!nocheck>,
 libjs-highlight.js <!nocheck>,
 libjs-mathjax <!nocheck>,
 fonts-open-sans <!nocheck>,
 fonts-font-awesome <!nocheck>,
 fonts-nanum <!nocheck>,
# below are optional tools even for 'make check'
 gdb (>= 7.12) <!nocheck>,
 libc6-dbg [armhf],
# Extra build-deps needed for x.py to download stuff in pkg.rustc.dlstage0.
 curl <pkg.rustc.dlstage0>,
 ca-certificates <pkg.rustc.dlstage0>,
Build-Depends-Indep:
 clang-15:native,
 libssl-dev,
Build-Conflicts: gdb-minimal (<< 8.1-0ubuntu6) <!nocheck>
Standards-Version: 4.2.1
Homepage: http://www.rust-lang.org/
Vcs-Git: https://salsa.debian.org/rust-team/rust.git
Vcs-Browser: https://salsa.debian.org/rust-team/rust
XS-Vendored-Sources-Rust: addr2line@0.17.0, adler@1.0.2, ahash@0.7.6, aho-corasick@0.7.18, always-assert@0.1.2, ammonia@3.2.0, annotate-snippets@0.9.1, ansi_term@0.12.1, anyhow@1.0.65, ar_archive_writer@0.1.1, array_tool@1.0.3, arrayvec@0.7.2, askama@0.11.0, askama_derive@0.11.0, askama_escape@0.10.2, askama_shared@0.12.0, atty@0.2.14, autocfg@1.1.0, backtrace@0.3.66, bitflags@1.3.2, block-buffer@0.10.2, bstr@0.2.17, bytecount@0.6.2, bytes@1.0.1, camino@1.1.1, cargo-platform@0.1.2, cargo_metadata@0.14.0, cargo_metadata@0.15.0, cc@1.0.76, cfg-if@0.1.10, cfg-if@1.0.0, chalk-derive@0.87.0, chalk-engine@0.87.0, chalk-ir@0.87.0, chalk-solve@0.87.0, chrono@0.4.19, clap@3.2.20, clap_complete@3.1.1, clap_derive@3.2.18, clap_lex@0.2.2, cmake@0.1.48, colored@2.0.0, compiler_builtins@0.1.84, compiletest_rs@0.9.0, convert_case@0.4.0, core-foundation-sys@0.8.3, countme@3.0.1, cov-mark@2.0.0-pre.1, cpufeatures@0.2.5, crc32fast@1.3.2, crossbeam-channel@0.5.6, crossbeam-deque@0.8.2, crossbeam-epoch@0.9.13, crossbeam-utils@0.8.14, crypto-common@0.1.6, cstr@0.2.8, ctor@0.1.22, dashmap@5.4.0, datafrog@2.0.1, derive-new@0.5.8, derive_more@0.99.17, diff@0.1.13, digest@0.10.6, dirs-next@2.0.0, dirs-sys-next@0.1.2, dirs-sys@0.3.6, dirs@4.0.0, displaydoc@0.2.3, dissimilar@1.0.4, dlmalloc@0.2.3, drop_bomb@0.1.5, either@1.8.0, elasticlunr-rs@3.0.0, ena@0.14.0, env_logger@0.7.1, env_logger@0.9.0, errno-dragonfly@0.1.2, errno@0.2.8, expect-test@1.4.0, fallible-iterator@0.2.0, fastrand@1.8.0, fd-lock@3.0.8, filetime@0.2.18, fixedbitset@0.2.0, flate2@1.0.24, fluent-bundle@0.15.2, fluent-langneg@0.13.0, fluent-syntax@0.11.0, fnv@1.0.7, form_urlencoded@1.1.0, fortanix-sgx-abi@0.5.0, fs-err@2.8.1, futf@0.1.5, futures-channel@0.3.19, futures-core@0.3.19, futures-executor@0.3.19, futures-io@0.3.19, futures-macro@0.3.19, futures-sink@0.3.19, futures-task@0.3.19, futures-util@0.3.19, futures@0.3.19, generic-array@0.14.5, getopts@0.2.21, getrandom@0.1.16, getrandom@0.2.7, gimli@0.26.2, glob@0.3.0, globset@0.4.9, gsgdt@0.1.2, handlebars@4.3.3, hashbrown@0.12.3, heck@0.4.0, hermit-abi@0.1.19, hermit-abi@0.2.6, hex@0.4.3, home@0.5.4, html5ever@0.26.0, humantime@1.3.0, humantime@2.0.1, icu_list@1.0.0, icu_locid@1.0.0, icu_provider@1.0.1, icu_provider_adapters@1.0.0, icu_provider_macros@1.0.0, idna@0.3.0, if_chain@1.0.0, ignore@0.4.18, indexmap@1.9.1, indoc@1.0.6, instant@0.1.12, intl-memoizer@0.5.1, intl_pluralrules@7.0.2, io-lifetimes@1.0.2, itertools@0.10.5, itoa@1.0.4, jobserver@0.1.24, jsonpath_lib@0.2.6, lazy_static@1.4.0, lazycell@1.3.0, libc@0.2.138, libloading@0.7.3, libm@0.1.4, linux-raw-sys@0.1.3, litemap@0.6.0, lock_api@0.4.9, log@0.4.17, lsp-types@0.93.2, lzma-sys@0.1.17, mac@0.1.1, maplit@1.0.2, markup5ever@0.11.0, matchers@0.1.0, md-5@0.10.0, mdbook@0.4.21, measureme@10.1.0, memchr@2.5.0, memmap2@0.2.1, memmap2@0.5.7, memoffset@0.6.5, memoffset@0.7.1, minifier@0.2.2, minimal-lexical@0.2.1, miniz_oxide@0.5.4, miow@0.3.7, miow@0.5.0, new_debug_unreachable@1.0.4, nom@7.1.0, ntapi@0.4.0, num-integer@0.1.43, num-traits@0.2.12, num_cpus@1.13.1, object@0.29.0, odht@0.3.1, once_cell@1.16.0, opener@0.5.0, os_str_bytes@6.0.0, output_vt100@0.1.3, packed_simd_2@0.3.4, parking_lot@0.11.2, parking_lot@0.12.1, parking_lot_core@0.8.5, parking_lot_core@0.9.4, pathdiff@0.2.1, percent-encoding@2.2.0, perf-event-open-sys@1.0.1, perf-event@0.4.7, pest@2.3.0, pest_derive@2.3.0, pest_generator@2.3.0, pest_meta@2.3.0, petgraph@0.5.1, phf@0.10.1, phf_codegen@0.10.0, phf_generator@0.10.0, phf_shared@0.10.0, pin-project-lite@0.2.9, pin-utils@0.1.0, pkg-config@0.3.25, polonius-engine@0.13.0, ppv-lite86@0.2.8, precomputed-hash@0.1.1, pretty_assertions@1.3.0, proc-macro-error-attr@1.0.4, proc-macro-error@1.0.4, proc-macro-hack@0.5.19, proc-macro2@1.0.47, psm@0.1.21, pulldown-cmark@0.9.2, punycode@0.4.1, quick-error@1.2.3, quine-mc_cluskey@0.2.4, quote@1.0.21, rand@0.7.3, rand@0.8.5, rand_chacha@0.2.2, rand_chacha@0.3.0, rand_core@0.5.1, rand_core@0.6.2, rand_hc@0.2.0, rand_xorshift@0.2.0, rand_xoshiro@0.6.0, rayon-core@1.10.1, rayon@1.6.0, redox_syscall@0.2.16, redox_users@0.4.0, regex-automata@0.1.10, regex-automata@0.2.0, regex-syntax@0.6.27, regex@1.6.0, remove_dir_all@0.5.3, rls-data@0.19.1, rls-span@0.5.3, rowan@0.15.10, rustc-ap-rustc_lexer@725.0.0, rustc-demangle@0.1.21, rustc-hash@1.1.0, rustc-rayon-core@0.4.1, rustc-rayon@0.4.0, rustc-semver@1.1.0, rustc_tools_util@0.2.1, rustc_version@0.4.0, rustfix@0.6.1, rustix@0.36.3, rustversion@1.0.5, ryu@1.0.11, same-file@1.0.6, scoped-tls@1.0.0, scopeguard@1.1.0, self_cell@0.10.2, semver@1.0.14, serde@1.0.147, serde_derive@1.0.147, serde_json@1.0.86, serde_repr@0.1.9, sha-1@0.10.0, sha2@0.10.2, sharded-slab@0.1.4, shell-escape@0.1.5, shlex@1.0.0, siphasher@0.3.3, slab@0.4.2, smallvec@1.10.0, smol_str@0.1.23, snap@1.0.5, spdx-expression@0.5.2, spdx-rs@0.5.1, stable_deref_trait@1.2.0, stacker@0.1.15, string_cache@0.8.3, string_cache_codegen@0.5.2, strsim@0.10.0, strum@0.24.1, strum_macros@0.24.3, syn@1.0.102, synstructure@0.12.6, sysinfo@0.26.7, tar@0.4.38, tempfile@3.3.0, tendril@0.4.3, term@0.7.0, termcolor@1.1.2, termize@0.1.1, tester@0.9.0, text-size@1.1.0, textwrap@0.15.0, thin-vec@0.2.9, thiserror-impl@1.0.37, thiserror@1.0.37, thorin-dwp@0.3.0, thread_local@1.1.4, time@0.1.43, tinystr@0.7.0, tinyvec@1.6.0, tinyvec_macros@0.1.0, tokio@1.8.4, toml@0.5.9, topological-sort@0.1.0, tracing-attributes@0.1.23, tracing-core@0.1.30, tracing-log@0.1.3, tracing-subscriber@0.3.3, tracing-tree@0.2.1, tracing@0.1.37, type-map@0.4.0, typenum@1.16.0, ucd-parse@0.1.8, ucd-trie@0.1.3, ungrammar@1.16.1, unic-char-property@0.9.0, unic-char-range@0.9.0, unic-common@0.9.0, unic-emoji-char@0.9.0, unic-langid-impl@0.9.1, unic-langid-macros-impl@0.9.1, unic-langid-macros@0.9.1, unic-langid@0.9.1, unic-ucd-version@0.9.0, unicase@2.6.0, unicode-bidi@0.3.8, unicode-ident@1.0.5, unicode-normalization@0.1.22, unicode-script@0.5.5, unicode-security@0.1.0, unicode-segmentation@1.10.0, unicode-width@0.1.10, unicode-xid@0.2.4, unicode_categories@0.1.1, unified-diff@0.2.1, url@2.3.1, utf-8@0.7.5, uuid@0.8.2, valuable@0.1.0, version_check@0.9.4, walkdir@2.3.2, wasi@0.11.0+wasi-snapshot-preview1, wasi@0.9.0+wasi-snapshot-preview1, winapi-i686-pc-windows-gnu@0.4.0, winapi-util@0.1.5, winapi-x86_64-pc-windows-gnu@0.4.0, winapi@0.3.9, windows-sys@0.42.0, windows_aarch64_gnullvm@0.42.0, windows_aarch64_msvc@0.42.0, windows_i686_gnu@0.42.0, windows_i686_msvc@0.42.0, windows_x86_64_gnu@0.42.0, windows_x86_64_gnullvm@0.42.0, windows_x86_64_msvc@0.42.0, write-json@0.1.2, writeable@0.5.0, xattr@0.2.3, xflags-macros@0.3.0, xflags@0.3.0, xshell-macros@0.2.2, xshell@0.2.2, xz2@0.1.6, yansi-term@0.1.2, yansi@0.5.1, yoke-derive@0.6.1, yoke@0.6.2, zerofrom-derive@0.1.1, zerofrom@0.1.1, zerovec-derive@0.9.0, zerovec@0.9.0

Package: rustc
Architecture: any
Multi-Arch: allowed
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends},
 libstd-rust-dev (= ${binary:Version}),
 gcc, libc-dev, binutils (>= 2.26)
Suggests:
# lld and clang are needed for wasm compilation
# llvm is needed for llvm-dwp for -C split-debuginfo=packed
 cargo (>= 0.65.0~~), cargo (<< 0.66.0~~),
 llvm-15, lld-15, clang-15,
Replaces: libstd-rust-dev (<< 1.26.2+dfsg1+llvm-0ubuntu1~~)
Breaks: libstd-rust-dev (<< 1.26.2+dfsg1+llvm-0ubuntu1~~)
Description: Rust systems programming language
 Rust is a curly-brace, block-structured expression language.  It
 visually resembles the C language family, but differs significantly
 in syntactic and semantic details.  Its design is oriented toward
 concerns of "programming in the large", that is, of creating and
 maintaining boundaries - both abstract and operational - that
 preserve large-system integrity, availability and concurrency.
 .
 It supports a mixture of imperative procedural, concurrent actor,
 object-oriented and pure functional styles.  Rust also supports
 generic programming and meta-programming, in both static and dynamic
 styles.

Package: libstd-rust-1.67
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Rust standard libraries
 Rust is a curly-brace, block-structured expression language.  It
 visually resembles the C language family, but differs significantly
 in syntactic and semantic details.  Its design is oriented toward
 concerns of "programming in the large", that is, of creating and
 maintaining boundaries - both abstract and operational - that
 preserve large-system integrity, availability and concurrency.
 .
 It supports a mixture of imperative procedural, concurrent actor,
 object-oriented and pure functional styles.  Rust also supports
 generic programming and meta-programming, in both static and dynamic
 styles.
 .
 This package contains the standard Rust libraries, built as dylibs,
 needed to run dynamically-linked Rust programs (-C prefer-dynamic).

Package: libstd-rust-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends},
 libstd-rust-1.67 (= ${binary:Version}),
Description: Rust standard libraries - development files
 Rust is a curly-brace, block-structured expression language.  It
 visually resembles the C language family, but differs significantly
 in syntactic and semantic details.  Its design is oriented toward
 concerns of "programming in the large", that is, of creating and
 maintaining boundaries - both abstract and operational - that
 preserve large-system integrity, availability and concurrency.
 .
 It supports a mixture of imperative procedural, concurrent actor,
 object-oriented and pure functional styles.  Rust also supports
 generic programming and meta-programming, in both static and dynamic
 styles.
 .
 This package contains development files for the standard Rust libraries,
 needed to compile Rust programs. It may also be installed on a system
 of another host architecture, for cross-compiling to this architecture.

Package: rust-gdb
Architecture: all
Depends: gdb, ${misc:Depends}
Suggests: gdb-doc
Replaces: rustc (<< 1.1.0+dfsg1-1)
Description: Rust debugger (gdb)
